(document:surround "/std/frame")

;;; Vars

;;; UI
(vbox margin 10 align "top"
    (label text (bold (_ "zram-swap settings")))
    (separator)
    (checkbox name "zram_state_cb" text (_ "enable zram-swap module"))

    (hbox align "left"
        (button text (_ "Apply") align "left" (when clicked (act-save)))
        (button text (_ "Reset") align "left" (when clicked (act-reset)))
    )
)

;;; Logic
(define (act-save)
    (woo-write "/zram-swap"
        'zram_state (form-value "zram_state_cb")
    )
)

(define (act-reset)
    (let ((data (woo-read-first "/zram-swap")))
        (form-update-value "zram_state_cb" (woo-get-option data 'zram_state))
    )
)

(document:root
  (when loaded
       (act-reset)
  )
)
